package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Swm;
import com.brilliance.isc.bo.Trnbch;
import com.brilliance.isc.vo.finance.ZxbselQueryVo;
import com.brilliance.isc.vo.finance.ZxbselResultVo;
import com.brilliance.isc.vo.manager.TbpVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TrnbchMapper {

    int insert(Trnbch record);

    int insertSelective(Trnbch record);

    int updateByPrimaryKeySelective(Trnbch record);

    int updateByPrimaryKey(Trnbch record);

    int deleteByPrimaryKey(Trnbch record);

    int deleteByIds(Collection<Object> collection);

    Trnbch selectByPrimaryKey(Trnbch record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Trnbch> dyncRead(Map<String, Object> dyncMap);

    List<Trnbch> queryByTrncod(Trnbch record);

    Trnbch queryByTrncodAndBchinr(@Param("trncod") String trncod, @Param("bchinr") String bchinr);

    int trnbchIsPMS(@Param("trncod") String trncod, @Param("bchinr") String bchinr);

    int trnbchIsOPP(@Param("trncod") String trncod, @Param("bchinr") String bchinr);

    int cebbchIsPMS(@Param("trncod") String trncod, @Param("bchinr") String bchinr);

    List<Trnbch> queryById(Trnbch record);

    Trnbch queryByInr(String inr);

}